Skip to main content
GET
/
api
/
v1
/
sec
/
insider_transactions
/
owners
Insider Transaction Owner
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/sec/insider_transactions/owners?token='
import requests

url = "https://api.benzinga.com/api/v1/sec/insider_transactions/owners?token="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.benzinga.com/api/v1/sec/insider_transactions/owners?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "cik": "0001462356",
      "name": "Katherine L Adams"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}
{
  "data": [
    {
      "cik": "0001462356",
      "name": "Katherine L Adams"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0

pagesize
integer
default:100

Number of results returned. Limit 1000

date_from
string<date>

Start date in YYYY-MM-DD format

date_to
string<date>

End date in YYYY-MM-DD format

updated_since
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

date
string<date>

Date in YYYY-MM-DD format

chamber
enum<string>

Chamber

Available options:
House,
Senate
fields
string

Fields

search_keys_type
enum<string>

Search keys type

Available options:
symbol,
cik,
name_fuzzy,
name_starts_with
search_keys
string

Search keys

display
enum<string>

Display

Available options:
flat,
nested

Response

Insider Transaction Owner

data
object[]